/*
  Repeating Wifi Web client
 
 This sketch connects to a a web server and makes a request
 using an Arduino Wifi shield.
 
 Circuit:
 * Wifi shield attached to pins 10, 11, 12, 13
 
 created 23 April 2012
 modifide 31 May 2012
 by Tom Igoe
 
 http://arduino.cc/en/Tutorial/WifiWebClientRepeating
 This code is in the public domain.
 */
#include <TextFinder.h>
#include <SPI.h>
#include <WiFi.h>
#include <Servo.h>
Servo myservo1;
Servo myservo2;
char ssid[] = "xxx";      
char pass[] = "xxx";   
int keyIndex = 0;            

int status = WL_IDLE_STATUS;

WiFiClient client;
TextFinder finder(client);
char server[] = "http://www.arduinowifi.altervista.org";
unsigned long lastConnectionTime = 0;          
boolean lastConnected = false;                  
const unsigned long postingInterval = 1*1000;  

void setup() {

  Serial.begin(9600); 
  while (!Serial) {
    ; 
  }
    if (WiFi.status() == WL_NO_SHIELD) {
    Serial.println("WiFi shield not present"); 
    while(true);
  } 
  String fv = WiFi.firmwareVersion();
  if ( fv != "1.1.0" )
    Serial.println("Please upgrade the firmware");
  
  while ( status != WL_CONNECTED) { 
    Serial.print("Attempting to connect to SSID: ");
    Serial.println(ssid);
    status = WiFi.begin(ssid, pass);
    delay(7000);
  } 
  myservo1.attach(3);
  myservo2.attach(6);
 }

void loop() {
    while (client.available()) {
    char c = client.read();
    Serial.write(c);
  }
  if (!client.connected() && lastConnected) {
    Serial.println();
    Serial.println("disconnecting.");
    client.stop();
  }
  if(!client.connected() && (millis() - lastConnectionTime > postingInterval)) {
    httpRequest();
     Serial.println("dato presente sul sito");   
          finder.find("OK>");
          float value = finder.getFloat();
          Serial.println(value); 
          
  if (value==1){
  avanti();
  
  }
  else if (value==4){
  dietro();
  }
  else if (value==5){
  fermo();
  }
  else if (value==2){
  destra();
  delay(500);
  fermo();
  delay(3000);
 
  }
  else if (value==3){
  sinistra();
  delay(500);
  fermo();
  delay(3000);
    }
  else if (value==6){
  destra();
  delay(300);
  fermo();
  delay(3000);
    }
  else if (value==7){
  sinistra();
  delay(300);
  fermo();
  delay(3000);
    }
  else{
  fermo();
  }
  }
  lastConnected = client.connected();
}

void httpRequest() {
 client.stop();
    if (client.connect(server, 80)) {
    Serial.println("connecting...");
    client.println("GET /data_robot_wifi.txt HTTP/1.1");
    client.println("Host: www.arduinowifi.altervista.org");
    client.println("Connection: close");
    client.println();
    lastConnectionTime = millis();
  } 
  else {
    Serial.println("connection failed");
    Serial.println("disconnecting.");
    client.stop();
  }
}

void avanti(){
myservo1.writeMicroseconds (2500); 
myservo2.writeMicroseconds (100);  
}
void dietro(){
myservo1.writeMicroseconds (100);   
myservo2.writeMicroseconds (2500);
}
void fermo(){
myservo1.writeMicroseconds (1480); 
myservo2.writeMicroseconds (1450);  
}
void sinistra(){
myservo1.writeMicroseconds (2500); 
myservo2.writeMicroseconds (2500); 
}
void destra(){
myservo1.writeMicroseconds (100); 
myservo2.writeMicroseconds (100);
}



